﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace MSV_LP.Migrations
{
    public partial class InitialCreate : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Fault",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    LogID = table.Column<int>(nullable: false),
                    zkratka = table.Column<string>(nullable: true),
                    datum = table.Column<DateTime>(nullable: false),
                    cas = table.Column<string>(nullable: true),
                    trvani = table.Column<string>(nullable: true),
                    zdrBit = table.Column<string>(nullable: true),
                    rychlost = table.Column<int>(nullable: false),
                    PT = table.Column<string>(nullable: true),
                    kontext = table.Column<string>(nullable: true),
                    CisloPor = table.Column<string>(nullable: true),
                    byte0 = table.Column<int>(nullable: false),
                    byte1 = table.Column<int>(nullable: false),
                    byte2 = table.Column<int>(nullable: false),
                    byte3 = table.Column<int>(nullable: false),
                    drahaH = table.Column<int>(nullable: false),
                    drahaL = table.Column<int>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Fault", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "FaultDetail",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Register_ID = table.Column<int>(nullable: false),
                    cislo = table.Column<long>(nullable: false),
                    Fault_ID = table.Column<string>(nullable: true),
                    zkratka = table.Column<string>(nullable: true),
                    nazev = table.Column<string>(nullable: true),
                    zdrBit = table.Column<string>(nullable: true),
                    klasifikace = table.Column<string>(nullable: true),
                    DD = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_FaultDetail", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "FaultLog",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Locomotive = table.Column<string>(nullable: true),
                    DownloadDate = table.Column<DateTime>(nullable: false),
                    DownloadTime = table.Column<DateTime>(nullable: false),
                    Odometr = table.Column<float>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_FaultLog", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "Loco",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    VehID = table.Column<string>(nullable: true),
                    VehClass = table.Column<string>(nullable: true),
                    EVN = table.Column<string>(nullable: true),
                    Operator = table.Column<string>(nullable: true),
                    Owner = table.Column<string>(nullable: true),
                    Manufacturer = table.Column<string>(nullable: true),
                    Country = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Loco", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "Register",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Locomotive = table.Column<string>(nullable: true),
                    Version = table.Column<float>(nullable: false),
                    Software = table.Column<string>(nullable: true),
                    UploadDateTime = table.Column<DateTime>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Register", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "VehClass",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Class = table.Column<string>(nullable: true),
                    RegisterID = table.Column<int>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VehClass", x => x.ID);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Fault");

            migrationBuilder.DropTable(
                name: "FaultDetail");

            migrationBuilder.DropTable(
                name: "FaultLog");

            migrationBuilder.DropTable(
                name: "Loco");

            migrationBuilder.DropTable(
                name: "Register");

            migrationBuilder.DropTable(
                name: "VehClass");
        }
    }
}
