﻿using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.DependencyInjection;
using MSV_LP.Data;
using System;
using System.Linq;

namespace MSV_LP.Models
{
    public class SeedData
    {
        public static void Initialize(IServiceProvider serviceProvider)
        {
            using (var context = new MSV_LPContext(serviceProvider.GetRequiredService<DbContextOptions<MSV_LPContext>>()))
            {
                //753.603
                new Loco
                {
                    VehID = "753.603",
                    VehClass = "753.6",
                    EVN = "92 54 2 753 603 - 0",
                    Operator = "SD - kolejová doprava",
                    Owner = "SD - kolejová doprava",
                    Manufacturer = "CZ Loko",
                    Country = "CZ"
                };

                new Loco {
                    VehID = "753.604",
                    VehClass = "753.6",
                    EVN = "92 54 2 753 604 - 8",
                    Operator = "SD - kolejová doprava",
                    Owner = "SD - kolejová doprava",
                    Manufacturer = "CZ Loko",
                    Country = "CZ"
                };

                new Loco
                {
                    VehID = "753.606",
                    VehClass = "753.6",
                    EVN = "92 54 2 753 606 - 3",
                    Operator = "Unipetrol Doprava",
                    Owner = "Unipetrol Doprava",
                    Manufacturer = "CZ Loko",
                    Country = "CZ"
                };

                new Loco
                {
                    VehID = "2M62UM-A 0004",
                    VehClass = "2M62",
                    EVN = "92 25 0 000 004 - 2",
                    Operator = "LDŽ",
                    Owner = "LDŽ",
                    Manufacturer = "CZ Loko",
                    Country = "LV"
                };

                new Loco
                {
                    VehID = "2M62UM-A 0010",
                    VehClass = "2M62",
                    EVN = "92 25 0 000 010 - 9",
                    Operator = "LDŽ",
                    Owner = "LDŽ",
                    Manufacturer = "CZ Loko",
                    Country = "LV"
                };
                // Look for any movies.
                if (context.Loco.Any())
                {
                    return;   // DB has been seeded
                }
            }
        }
    }
}
