﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using MSV_LP.Data;
using MSV_LP.Models;

namespace MSV_LP.Pages.RegisterList
{
    public class DetailsModel : PageModel
    {
        private readonly MSV_LP.Data.MSV_LPContext _context;

        public DetailsModel(MSV_LP.Data.MSV_LPContext context)
        {
            _context = context;
        }

        public Register Register { get; set; }
        public IList<FaultDetail> FaultDetail { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Register = await _context.Register.FirstOrDefaultAsync(m => m.ID == id);
            FaultDetail = await _context.FaultDetail.Where(n => n.Register_ID == Register.ID).ToListAsync();
            //FaultDetail = await _context.FaultDetail.ToListAsync();

            if (Register == null)
            {
                return NotFound();
            }
            return Page();
        }
    }
}
